DESCRIPTION = "library for easy implementation of a RDP/VNC server"
LICENSE     = "GPLv2"
HOMEPAGE    = "http://sourceforge.net/projects/libvncserver/"
AUTHOR      = "Johannes Schindelin <dscho@users.sourceforge.net"
MAINTAINER  = "Patrik Gfeller <gfellerpatrik@gmx.net>"

SECTION  = "libs"
PRIORITY = "optional"
DEPENDS  = "zlib jpeg"

PR = "r1"
SRC_URI = "${SOURCEFORGE_MIRROR}/libvncserver/LibVNCServer-${PV}.tar.gz;md5sum=17a18e398af6c1730f72068022a152aa"

S = "${WORKDIR}/LibVNCServer-${PV}"

EXTRA_OEMAKE_append=" SUBDIRS='libvncserver examples'"
#                         => create libvncserver.a only (as I can not maintain the others)
inherit autotools

do_stage () {
# copy headerfiles
        install -d ${STAGING_INCDIR}/rfb
# set permissions
        install -m 0644 ${WORKDIR}/LibVNCServer-${PV}/rfb/rfb.h       \
                        ${WORKDIR}/LibVNCServer-${PV}/rfb/rfbproto.h  \
                        ${WORKDIR}/LibVNCServer-${PV}/rfb/rfbint.h    \
                        ${WORKDIR}/LibVNCServer-${PV}/rfb/rfbconfig.h \
                        ${WORKDIR}/LibVNCServer-${PV}/rfb/rfbclient.h \
                        ${WORKDIR}/LibVNCServer-${PV}/rfb/rfbregion.h \
                        ${WORKDIR}/LibVNCServer-${PV}/rfb/keysym.h    \
                        ${WORKDIR}/LibVNCServer-${PV}/rfb/default8x16.h ${STAGING_INCDIR}/rfb
# install/stage static libs
        oe_libinstall -C libvncserver -a libvncserver ${STAGING_LIBDIR}/
}

do_install() {
}

do_package() {
}