#!/bin/sh
# ***************************************************
# * (c) 2007 - Patrik Gfeller (pgf), CodeOmega (tm) *
# ***************************************************
clear
echo "**********************"
echo "* OE - Open embedded *"
echo "**********************"
echo

MACHINES="h3600 collie"
PS3='target machine? '
# *
# * BASEDIR
# * Caution: ... paths do not work
# *
export BASEDIR="/stuff/"

select selection in ${MACHINES}; do
  if [ ${selection}  ]; then
    export MACH=${selection}
    break
  else
    echo " -?- "
  fi
done

BITBAKEVERSIONS=`ls ${BASEDIR}env/bitbake`
PS3='bitbake version? '
select selection in ${BITBAKEVERSIONS}; do
  if [ ${selection}  ]; then
    BITBAKEVERSION=${selection}
    break
  else
    echo " -?- "
  fi
done

MONOTONEVERSIONS=`ls ${BASEDIR}env/monotone`
PS3='monotone version? '
select selection in ${MONOTONEVERSIONS}; do
  if [ ${selection} ]; then
    MONOTONEVERSION=${selection}
    break
  else
    echo " -?- "
  fi
done

BITBAKEPATH="${BASEDIR}env/bitbake/${BITBAKEVERSION}"
MONOTONEPATH="${BASEDIR}env/monotone/${MONOTONEVERSION}"

# dev, oz354x

BRANCHES="dev oz354x"
PS3='branch? '
select selection in ${BRANCHES}; do
  if [ ${selection} ]; then
    export branchext=${selection}
    break
  else
    echo " -?- "
  fi
done
echo

export branch="org.openembedded.${branchext}"

if [ -e "${BITBAKEPATH}/bin/bitbake" ]
  then 
    echo -n " [OK]: Bitbake, - "
    export PATH=${BASEDIR}env/bitbake/${BITBAKEVERSION}/bin:${PATH}
    export PATH=${BASEDIR}env/bitbake/${BITBAKEVERSION}:${PATH}
    bitbake --version
  else 
    echo " [F]: Bitbake "
    echo "   |- unable to find /bin/bitbake in ${BITBAKEPATH} ..."
fi

if [ -e "${MONOTONEPATH}/monotone" ]
  then
    echo -n " [OK]: Monotone, - "
    export PATH=${MONOTONEPATH}:${PATH}
    monotone --version
  else
  echo " [F]: Monotone "
  echo "   |- unable to find monotone in ${MONOTONEPATH} ..."
fi

if [ -e "/usr/local/arm/2.95.3/bin/arm-linux-gcc-2.95" ]
  then 
   echo " [OK]: Zaurus 2.4 Kernel compatible gcc"
   echo
   export PATH="/usr/local/arm/2.95.3/bin/:${PATH}"
   arm-linux-gcc-2.95 -v
fi

export BBPATH=${BASEDIR}build:${BASEDIR}${branch}
# echo " |- branch added to PATH "
PS1="\nOE (${branchext} - ${MACH}) @ \w/ \n => "
export PS1
/bin/bash --norc