#!/bin/sh
# ***************************************************
# * (c) 2007, Patrik Gfeller (pgf) - CodeOmega (tm) *
# ***************************************************

clear
BASEDIR="./"
BRANCHPATTERN="org.openembedded.*"
DBNAME="OE.mtn"

if [ -e ./${DBNAME} ]
  then 
    rm ./${DBNAME}
    rm ./${DBNAME}-journal
fi

if [ ! -d ${BASEDIR}build/conf/ ]
 then
  echo " [I] configuration directory does not exist ... => I'll create it. "
  mkdir -p ${BASEDIR}build/conf/
 else
  echo " [I] configuration directory found."
fi

wget http://www.openembedded.org/snapshots/OE.mtn.bz2
bunzip2 <OE.mtn.bz2  >OE.mtn
rm OE.mtn.bz2

./monotone db init --db=${BASEDIR}${DBNAME}
echo " [I] => pull ${DBNAME} [monotone] ..."
for server in monotone.openembedded.org ewi546.ewi.utwente.nl dominion.kabel.utwente.nl monotone.vanille.de
do
 if ./monotone --db=${BASEDIR}${DBNAME} pull $server "${BRANCHPATTERN}"
  then break
  else echo " [W] unable to reach $server ... "
 fi
done

./monotone --db=${BASEDIR}${DBNAME} checkout --branch=${branch}
