#ifndef _DEV_UINPUT_H
#define _DEV_UINPUT_H

/**
@brief create a new keyboard event node
@param[in] name this name will be assigend to the event node
@return handle to the uinput device | false
 */
int dev_uinput_init_kbd  (char* name);
/**
@brief create a new mouse event node
@param[in] name this name will be assigend to the event node
@return handle to the uinput device | false
 */
int dev_uinput_init_mouse(char* name);

/**
@param[in] fd
  the filedescriptor handle to the uinput device returned
  by int dev_uinput_init();

@param[in] code The "code" is the keycode, this is the
  raw keycode as you can read them
  when starting "dumpkeys" on a text console.

@param[in] pressed
                 ... kind of a bool,
                 i.e. != 0 is a key press and == 0 is a release.
 */
int dev_uinput_key(int fd, unsigned short code, int pressed);

void ptr_abs(int fd, int x, int y);
void button_click(int fd, int down);
void dev_uinput_sync(int fd);

void dev_uinput_close(int fd);

#endif
