/* *******************************************************
 This file is part of fbvncserver.

 fbvncserver is free software; you can redistribute it
 and/or modify it under the terms of the
 GNU General Public License as published by
 the Free Software Foundation; either version 2 of the
 License, or (at your option) any later version.

 fbvncserver is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A
 PARTICULAR PURPOSE.  See the GNU General Public License
 for more details.

 You should have received a copy of the GNU General Public
 License along with fbvncserver; if not, write to the
 Free Software Foundation, Inc., 51 Franklin St,
 Fifth Floor, Boston, MA  02110-1301  USA
 ********************************************************/
#ifndef _KEYSYM2KEYCODE_H
#define _KEYSYM2KEYCODE_H

#include "fbvncserver.h"
#include "vnc_keysym.h"
/**
@file   keysym2scancode.h
@brief  keysym to scan/keycode conversion using rdesktop keymaps
@author
 - &copy; 2007 Patrik Gfeller (pgf), CodeOmega (tm)
 - &copy; 2004 Johannes Schindelin

This code is heavily based on <b> <a href="http://fabrice.bellard.free.fr/qemu/">QEMU</a>s keysym to keycode conversion</b>
(Copyright &copy; 2004 Johannes Schindelin).
*/

void * init_keyboard_layout(const char * language);
int keysym2scancode(void *kbd_layout, int keysym);
#endif
